package com.yuchen.saas.manage.system.api.feign;



import com.yuchen.saas.manage.system.api.entity.NestOrgRole;
import com.yuchen.saas.manage.system.api.entity.NestOrgRoleBinding;
import org.nest.springwrap.core.tool.api.R;
import org.springframework.stereotype.Component;

import java.util.List;


@Component
public class OrgRoleClientFallback implements IOrgRoleClient {



    @Override
    public R<List<NestOrgRoleBinding>> listByUserIdAndTenantId(Long userId, Long deptId) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<List<NestOrgRoleBinding>> listByOrgRoleId(Long orgRoleId) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<NestOrgRole> getOrgRoleById(Long orgRoleId) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<List<NestOrgRoleBinding>> listByOrgUserId(Long orgUserId) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<List<NestOrgRoleBinding>> listByRoleIds(List<Long> roleIds) {
        return R.fail("获取数据失败");
    }
}
